package itourbaskServlet;

import itourbaskClases.q53BorrarRespuestasClass;

import java.util.Calendar;

import q53_util.q53Constantes;
import q53_util.q53Util;

import com.cidat.proclets.PSP;
import com.cidat.proclets.ProcletServiceData;

public class q53usrBorrarTablaTemporalServlet extends q53Servlet {
	
	static Calendar cal =Calendar.getInstance();
static int day = cal.get(Calendar.DAY_OF_MONTH);
static String day_tmp = "0"+day;
static String day_txt = day_tmp.substring(day_tmp.length()-2,day_tmp.length());
static int month = cal.get(Calendar.MONTH)+1;
static String month_tmp = "0"+month;
static String month_txt = month_tmp.substring(month_tmp.length()-2,month_tmp.length());
static int year = cal.get(Calendar.YEAR);
static int hour = cal.get(Calendar.HOUR);
static int min = cal.get(Calendar.MINUTE);
static int sec = cal.get(Calendar.SECOND);
static String fileName =year+""+month_txt+""+day_txt+"_itourbask.log";
public void pspProcess(ProcletServiceData sd){
	sd.res.setContentType("text/html");
    sd.res.setHeader("Pragma", "no-cache");
    sd.res.setHeader("Cache-Control", "no-cache");
    sd.res.setHeader("Expires", "0");
    try{
        // tratar las cookies
        q53_tratarCookies(sd);

        String perfilUser = "NO";
        if (q53Util.esPerfil(sd, q53Constantes.PERFIL_USRO))
            perfilUser = "SI";

        String perfilCoord = "NO";
        if (q53Util.esPerfil(sd, q53Constantes.PERFIL_COOR))
            perfilCoord = "SI";

        String perfilAdmin = "NO";
        if (q53Util.esPerfil(sd, q53Constantes.PERFIL_ADMO))
            perfilAdmin = "SI";

        sd.setVal("perfilUser", perfilUser);
        sd.setVal("perfilCoord", perfilCoord);
        sd.setVal("perfilAdmin", perfilAdmin);

        if (q53Util.esPerfil(sd, q53Constantes.PERFIL_USRO) ||
        q53Util.esPerfil(sd, q53Constantes.PERFIL_ADMO) ||
        q53Util.esPerfil(sd, q53Constantes.PERFIL_COOR)) {
        	
        	 PSP.paramProclet(sd,"encuesta()");
        	 String encuesta=sd.gOS("encuesta");
        	 q53BorrarRespuestasClass.borrarTabla(sd, encuesta,sd.gOS("q53_cki.q53_usuario"));
        	} // if perfil
        else {
        // el usuario no tiene el perfil necesario. seguramente es porque
        // se ha perdido la sesión y hay que redirigirlo al login, para que
        // vuelva a meter su usuario y contraseña
            sd.setVal("pagina", "q53_gen_login");
            q53_redirigir(sd,
            "/q53ItourbaskWar/q53_gen_login.jsp?es_usuario_no_sesion");
        }
    }catch(Exception e){
        e.printStackTrace();
    }

}
	
}
